import Vue from "vue";

Vue.config.productionTip = false;

import "./plugins/element.js";

import GridManager from "gridmanager-vue";
import "gridmanager-vue/css/gm-vue.css";
Vue.use(GridManager);

import axios from "axios";
import VueAxios from "vue-axios";
axios.defaults.baseURL = process.env.VUE_APP_AXIOS_BASE_URL;
Vue.use(VueAxios, axios);

import VueLodash from "vue-lodash";
import lodash from "lodash";
Vue.use(VueLodash, { name: "custom", lodash: lodash });

import validator from "validator";
Vue.prototype.validator = validator;

import App from "./App.vue";

new Vue({
  render: (h) => h(App),
}).$mount("#app");
